/* RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and that
no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
					scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
					markk@internic.net

File: closeout.c  This is the server and temp file close out functions.
Developed by: Scott Williamson

*/

#include "rwhois.h"


closeout( this_server)
struct SERVER *this_server;
{

	if( this_server->type_status & TYPE_RWHOIS)
		send_quit();

	closefile( this_server);

	close( this_server->sh); this_server->sh = 0;

	reset_flags(); 

}

closefile( this_server)
struct SERVER *this_server;
{
	if( this_server->fp && this_server->filestatus&FILEOPEN)
	{
		fclose( this_server->fp );
		this_server->filestatus = (this_server->filestatus&~FILEOPEN);

		if( edit == ON )
			fclose( this_server->bkfp);
	}

}

