/* RWhois Software 

Copyright (c) 1994 Scott Williamson and Mark Kosters

Users may distribute the binary and source code to third parties provided
that the copyright notice and this statement appears on all copies and that
no charge is made for such copies.  

This software is provided AS IS with no warranties of any kind.  The authors
shall have no liability with respect to the infringement of copyrights,
trade secrets or any patents by this file or any part thereof.  In no
event will the authors be liable for any lost revenue or profits or
other special, indirect and consequential damages.

Comments and additions should be sent to the authors:

                    Scott Williamson
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4820
					scottw@internic.net

                    Mark Kosters
                    Network Solutions
                    505 Huntmar Park Drive
                    Herndon, VA 22071
                    (703) 742-4795
					markk@internic.net

File: register.c  These functions support registation of objects with an RWhois server.
Developed by: Scott Williamson

*/

#include "rwhois.h"

files_the_same( file1, file2)
char *file1, *file2;
{
FILE *fp1, *fp2;
char buff1[80], buff2[80];
int same = TRUE;

	if((fp1 = fopen( file1, "r")) == NULL )
		return( ERROR);
	if((fp2 = fopen( file2, "r")) == NULL )
	{
		fclose( fp1);
		return( ERROR);
	}

	while( fgets( buff1, 80, fp1 ) && fgets( buff2, 80, fp2)
		&& same == TRUE )
	{
		if(strcmp( buff1, buff2))
			same = FALSE;
	}

	fclose( fp1);
	fclose( fp2);

	return( same);

}


regcheck( reg_server)
struct SERVER *reg_server;
{
char temp[MAXBUFF];

	if( to_file && edit == ON )
	{

		to_file = FALSE;

		if( goodedit )
		{
				closefile( reg_server);

				if( editpath)
				{
					sprintf( temp, "%s %s", editpath, 
						reg_server->filename);
					system( temp);
				}
				else
 					printf("\nEditor must be defined in config file ... must quit");

		}

	}
}


data_register( filename)
char *filename;
{
char temp_in[256];
FILE *in_file;
struct SERVER *curr_server;

			curr_server = SERVERCURRGET;
			/*turn off the register on */
			control_pannel[CP_REGISTER] = (control_pannel[CP_REGISTER]&~SET_ON);
			in_file = fopen( filename, "r");
			while( fgets( temp_in, 256, in_file))
			{
				if( *temp_in != '#' )
				{
					write( curr_server->sh, temp_in, strlen(temp_in));

					if( verbose > TALK )
					{
						trim( temp_in);
						printf("\nSending > [%s]", temp_in);
					}
				}
			}

			fclose( in_file);

			send_command("-REGISTER OFF");
			/* wait for register off ok */
			control_pannel[CP_REGISTER] = control_pannel[CP_REGISTER]|SET_OFF;

			if( verbose > QUIET )
				note("Registration sent waiting for ack");

			wait_result( default_wait);
}

